local t = Def.ActorFrame{
	Def.Quad{
		InitCommand=cmd(FullScreen;diffuse,color("0.73,0,0,1");diffusealpha,0);
		ShowDangerAllMessageCommand=cmd(stoptweening;diffusealpha,1;diffuseblink;effectcolor1,color("0.73,0,0,1");effectcolor2,color("0.73,0,0,0"));
		HideDangerAllMessageCommand=cmd(stoptweening;diffusealpha,0;stopeffect;);
	};
	LoadActor("_danger")..{
		InitCommand=cmd(Center;vibrate;effectmagnitude,4,8,8;diffusealpha,0);
		ShowDangerAllMessageCommand=cmd(diffusealpha,1);
		HideDangerAllMessageCommand=cmd(diffusealpha,0);
	};
};

return t;